%define aurox_ver 9.3
%define rel 1


Summary: Database Independent Abstraction Layer for C
Name: libdbi
Version: 0.7.2
Release: %{aurox_ver}.aur.%{rel}
Group: Development/Libraries
License: LGPL
URL: http://libdbi.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libdbi/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package devel
Summary: Development files for libdbi (Database Independent Abstraction Layer for C)
Group: Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files and documentation
needed to develop applications with libdbi.

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%prep
%setup -q -n %{name}-%{version}

%build
automake-1.4
autoheader
autoconf

automake-1.4

# configure is broken, must pass both --with-*sql-libdir _AND_
# --with-*sql-incdir in order for --with-*sql-libdir to be used
%configure 

#--with-mysql --with-pgsql --with-mysql-libdir=%{_libdir}/mysql \
#	--with-mysql-incdir=%{_includedir} \
#	--with-pgsql-libdir=%{_libdir} \
#	--with-pgsql-incdir=%{_includedir}
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#makeinstall plugindir=$RPM_BUILD_ROOT%{_libdir}/dbd
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%{_libdir}/libdbi.so.*

%files devel
%defattr(-,root,root)
%doc README
%doc TODO
%doc doc/programmers-guide.pdf
%doc doc/programmers-guide/
%doc doc/driver-guide.pdf
%doc doc/driver-guide/
%dir /usr/include/dbi
/usr/include/dbi/*
%{_libdir}/libdbi.a
%{_libdir}/libdbi.la
%{_libdir}/libdbi.so

%changelog
* Sun Feb 01 2004 Aurox Team <aurox@aurox.org> 0:0.7.2-9.3.aur.1
- update to 0.7.2

* Tue Jul 08 2003 Robert Glowczynski <robertg@software.com.pl> 0.7.0-9.1.aur.1
- 0.7.0 without drivers

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 24 2003 Tom Lane <tgl@redhat.com>
- /usr/include/dbi should be owned

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 01 2002 Elliot Lee <sopwith@redhat.com> 0.6.5-3
- multilibify

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.6.5-1
- 0.6.5

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.6.4-2
- 0.6.4

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Sep 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.2-1
- Sanitize, prepare for distribution

* Sat Aug 4 2001 David Parker <david@neongoat.com>
- initial spec file created
